{% extends "base.html" %}
{% load static %}


{% block headone %}
<title>Donasi APD</title>
<link rel="stylesheet" type="text/css" href="{% static 'css/donasi_apd.css' %}">
{% endblock %}


{% block content %}

<div class="container-fluid bg-1">
    <h1 style="color:#000000;" class="judul">Donasi APD</h1>
    <div class="headerapd text-center">
        <img src="{% static 'img/apdcover.jpg' %}">
        <br></br>
        <a href="/donasi-apd/#program-donasi" style="padding-bottom: 50px; " class="center">
            <button type="submit" class="btn rounded-pill" style="background-color: #772E25; color: #ffffff;">Mulai
                Berdonasi!</button>
        </a>

        <h1 style="color:#772E25;" class="judul-deskripsi text-left">Tahukah Anda?</h1>
        <br></br>
        <p class="text-left"> Kurangnya suplai APD membuat banyak dokter memakai ulang masker dan sarung tangan karena stok yang sedikit, dan banyak yang menggunakan jas hujan karena baju APD sangat mahal dan terbatas.</p>
        <br></br>
        <h3 class="text-right">Ayo bantu donasi, agar para pahlawan tidak beresiko terpapar Covid!</h3>
        <br></br>
    </div>
</div>

<div class="container-fluid" id="program_donasi">

    <div id="program-donasi">
        <p class="judulProgramDonasi">Program Donasi</p>

        <div class="row ">
            {% if programs %}
            {% for program in programs %}

            <div class="col-lg-4 col-sm-6 mb-4">
                <div class="card">
                    <img class="card-img-top" src='/{{ program.photo }}'>


                    <div class="card-body">
                        <h5 class="card-title">{{ program.name }}</h5>
                        <p class="card-text">Harga: Rp.{{ program.target }}/buah</p>


                        {%if user.is_authenticated%}
                        
                        <div class="center">
                            <a href="{% url 'formulir_donasi_apd' program=program.pk %}" class="btn rounded-pill btn-donasi"
                                style="">Donasi</a>
                            <a href="{% url 'apd:list_donatur_apd' program=program.pk%}"
                                class="btn rounded-pill btn-donasi" style="">Lihat Donatur</a>
                        </div>

                        {% else %}
                        <div class="center" style="margin-top: 30px;">
                            <p style="font-size: 10px;">Silahkan Login/Sign Up untuk berdonasi :)</p>
                        </div>

                        <div class="center">
                            <a href="{% url 'Login:login' %}" class="btn rounded-pill btn-donasi"
                                style="">Login</a>
                            <a href="{% url 'user:register' %}"
                                class="btn rounded-pill btn-donasi" style="">Sign up</a>
                        </div>

                        <div class="center">
                            <a href="{% url 'apd:list_donatur_apd' program=program.pk%}" class="btn rounded-pill "
                                style="background-color: #ffffff; color: #772E25; text-decoration: underline;">Lihat Donatur</a>
                        </div>
                        
                        {% endif %}

                    </div>
                </div>
            </div>

            {% endfor %}

            {% else %}
            <div class="col-sm-12">
                <div class="roundedrec">
                    <div class="insiderec">
                        <h4 class="w3-left-align" style="color: #772E25"><strong>Tidak ada program</strong></h4>
                    </div>
                </div>
            </div>
            {% endif %}



        </div>
        <br>
            <p>More to come..</p>
    </div>
</div>




{% endblock %}